#pragma once
#include "..\DisasmContext.h"

class CJmp : public CDisasmContext
{
public:
	virtual bool Disasm(BYTE*& ptr);
protected:
	enum OpCodeHeader
	{
		JMP_SHORT = 0xEB,	// 段内直接短跳
		JMP_NEAR = 0xE9,	// 段内直接跳
		JMP_FAR = 0xEA,		// 段间直接跳
		JMP_IND = 0xFF,		// 段内(外)间接跳
	};

	bool Jmp_Short(BYTE*& ptr);
	bool Jmp_Near(BYTE*& ptr);
	bool Jmp_Far(BYTE*& ptr);
};
